package com.zcloud.service.risk;

import com.zcloud.controller.risk.dto.RiskpointLogsDto;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;
import java.util.Map;

/**
 * 说明：风险点台账
 * 作者：luoxiaobao
 * 时间：2020-12-29
 * 官网：www.zcloudchina.com
 */
public interface RiskPointService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**查询所有（资源库配置使用）
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAllToRes(PageData pd)throws Exception;

	public List<PageData> listAllByDc(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;
	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findRiskById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**总数统计
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public List<PageData> statisticsAll(PageData pd)throws Exception;
	/**
	 * 列表 搜索 风险单元辨识部位模糊查询
	 * @param page
	 * @return
	 * @throws Exception
	 */
	public List<PageData> getListForLikeName(Page page ) throws Exception;
	/**app增加位置信息
	 * @param pd
	 * @throws Exception
	 */
	public void editLonAndLat(PageData pd)throws Exception;

	public String countByCorpInfo (PageData pd)throws Exception;

	/**风险诊断书
	 * @param pd
	 * @throws Exception
	 */
	public PageData getDiagnosis(PageData pd)throws Exception;

    Map<String,Object> getLogs(PageData request, Page page) throws Exception;

	List<RiskpointLogsDto> getLogDiagnosis(PageData pd) throws Exception;
}

